Bug 169048 - usb cd-writer no longer works in FC4
usb cd-writer no longer works in FC4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 11:10 EDT by Dan
Modified: 2008-02-28 21:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 21:07:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan 2005-09-22 11:10:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4) KHTML/3.4.2 (like Gecko)

Description of problem:
After installing Fedora Core 4 on my desktop machine I can't burn CDs any    
more. I have a Mitsumi external USB cd-writer that used to work fine in the    
machine's previous life (initially a RedHat8, but repeatedly upgraded over    
time. Most recently it was running a 2.4 FC1 kernel, I think 2.4.21).    
I can use the drive as a cd-reader without any problems.    
    
cdrecord -scanbus correctly identifies the device, but when trying to blank a    
re-writable CD it hangs and the following messages show up in the logs:    
    
Sep 22 13:41:53 barney kernel: SCSI error : <0 0 0 0> return code = 0x8000002    
Sep 22 13:41:53 barney kernel: sr0: Current: sense key: No Sense    
Sep 22 13:41:53 barney kernel:     Additional sense: No additional sense    
information    
Sep 22 13:41:53 barney kernel: SCSI error : <0 0 0 0> return code = 0x8000002    
Sep 22 13:41:53 barney kernel: sr0: Current: sense key: No Sense    
Sep 22 13:41:53 barney kernel:     Additional sense: No additional sense    
information    
Sep 22 13:43:54 barney kernel: SCSI error : <0 0 0 0> return code = 0x6000000    
Sep 22 13:45:54 barney kernel: SCSI error : <0 0 0 0> return code = 0x6000000    
Sep 22 13:47:14 barney last message repeated 2 times    
    
  

Version-Release number of selected component (if applicable):
cdrecord-2.01.1-9,  kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot machine and the external USB drive (in any order) 
2. Insert CD-RW in the drive 
3. Run cdrecord -v dev=0,0,0 blank=fast  
   

Actual Results:  cdrecord hung 

Expected Results:  To begin with, the activity led on the drive should lit. In the end the CD 
should be blanked. 

Additional info:
Comment 1 Dan 2005-09-22 11:14:58 EDT
Here is some information I think might be relevant    
(output from cdrecord, dmesg, lsmod).   
  
  
[dan@barney tmp]$ cdrecord -scanbus    
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg    
Schilling    
Note: This version is an unofficial (modified) version with DVD support    
Note: and therefore may have bugs that are not present in the original.    
Note: Please send bug reports or support requests to    
http://bugzilla.redhat.com/bugzilla    
Note: The author of cdrecord should not be bothered with problems in this    
version.    
Linux sg driver version: 3.5.27    
Using libscg version 'schily-0.8'.    
cdrecord: Warning: using inofficial libscg transport code version (schily -    
Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c 1.83 04/05/20 Copyright    
1997 J. Schilling').    
scsibus0:    
0,0,0     0) 'MITSUMI ' 'CR-4804TE USB   ' '3047' Removable CD-ROM    
0,1,0     1) *    
0,2,0     2) *    
0,3,0     3) *    
0,4,0     4) *    
0,5,0     5) *    
0,6,0     6) *    
0,7,0     7) *    
    
    
[dan@barney tmp]$ cdrecord -prcap -inq dev=0,0,0    
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg    
Schilling    
Note: This version is an unofficial (modified) version with DVD support    
Note: and therefore may have bugs that are not present in the original.    
Note: Please send bug reports or support requests to    
http://bugzilla.redhat.com/bugzilla    
Note: The author of cdrecord should not be bothered with problems in this    
version.    
scsidev: '0,0,0'    
scsibus: 0 target: 0 lun: 0    
Linux sg driver version: 3.5.27    
Using libscg version 'schily-0.8'.    
cdrecord: Warning: using inofficial libscg transport code version (schily -    
Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c 1.83 04/05/20 Copyright    
1997 J. Schilling').    
Device type    : Removable CD-ROM    
Version        : 0    
Response Format: 1    
Vendor_info    : 'MITSUMI '    
Identifikation : 'CR-4804TE USB   '    
Revision       : '3047'    
Device seems to be: Philips CDD-522.    
    
Drive capabilities, per MMC page 2A:    
    
Does read CD-R media    
Does write CD-R media    
Does read CD-RW media    
Does write CD-RW media    
Does not read DVD-ROM media    
Does not read DVD-R media    
Does not write DVD-R media    
Does not read DVD-RAM media    
Does not write DVD-RAM media    
Does support test writing    
    
Does read Mode 2 Form 1 blocks    
Does read Mode 2 Form 2 blocks    
Does read digital audio blocks    
Does restart non-streamed digital audio reads accurately    
Does not support Buffer-Underrun-Free recording    
Does read multi-session CDs    
Does read fixed-packet CD media using Method 2    
Does not read CD bar code    
Does read R-W subcode information    
Does not return R-W subcode de-interleaved and error-corrected    
Does not read raw P-W subcode data from lead in    
Does return CD media catalog number    
Does return CD ISRC information    
Does support C2 error pointers    
Does not deliver composite A/V data    
    
Does play audio CDs    
Number of volume control levels: 2    
Does not support individual volume control setting for each channel    
Does not support independent mute setting for each channel    
Does not support digital output on port 1    
Does not support digital output on port 2    
    
Loading mechanism type: tray    
Does support ejection of CD via START/STOP command    
Does not lock media on power up via prevent jumper    
Does allow media to be locked in the drive via PREVENT/ALLOW command    
Is not currently in a media-locked state    
Does not support changing side of disk    
Does not have load-empty-slot-in-changer feature    
Does not support Individual Disk Present feature    
    
Maximum read  speed:  4234 kB/s (CD  24x, DVD  3x)    
Current read  speed:  1411 kB/s (CD   8x, DVD  1x)    
Maximum write speed:   706 kB/s (CD   4x, DVD  0x)    
Current write speed:   706 kB/s (CD   4x, DVD  0x)    
Buffer size in KB: 2048    
    
    
[dan@barney tmp]$ cdrecord -v dev=0,0,0 blank=fast    
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg    
Schilling    
Note: This version is an unofficial (modified) version with DVD support    
Note: and therefore may have bugs that are not present in the original.    
Note: Please send bug reports or support requests to    
http://bugzilla.redhat.com/bugzilla    
Note: The author of cdrecord should not be bothered with problems in this    
version.    
TOC Type: 1 = CD-ROM    
cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).    
cdrecord: WARNING: This causes a high risk for buffer underruns.    
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler    
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().    
cdrecord: WARNING: This causes a high risk for buffer underruns.    
scsidev: '0,0,0'    
scsibus: 0 target: 0 lun: 0    
Linux sg driver version: 3.5.27    
Using libscg version 'schily-0.8'.    
cdrecord: Warning: using inofficial libscg transport code version (schily -    
Red    
Hat-scsi-linux-sg                                                          .c-1.83-RH    
'@(#)scsi-linux-sg.c 1.83 04/05/20 Copyright 1997 J. Schilling').    
SCSI buffer size: 64512    
atapi: 1    
Device type    : Removable CD-ROM    
Version        : 0    
Response Format: 1    
Vendor_info    : 'MITSUMI '    
Identifikation : 'CR-4804TE USB   '    
Revision       : '3047'    
Device seems to be: Philips CDD-522.    
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).    
Driver flags   : MMC SWABAUDIO    
Supported modes: TAO PACKET RAW/R16 RAW/R96R    
Drive buf size : 1343488 = 1312 KB    
(interrupted)    
    
[dan@barney tmp]$ uname -r    
2.6.12-1.1447_FC4    
    
[dan@barney tmp]$ cat /proc/scsi/scsi    
Attached devices:    
Host: scsi0 Channel: 00 Id: 00 Lun: 00    
Vendor: MITSUMI  Model: CR-4804TE USB    Rev: 3047    
Type:   CD-ROM                           ANSI SCSI revision: 02    
    
    
[dan@barney tmp]$ lsmod |grep -i usb\|scsi    
usb_storage            73865  0    
scsi_mod              148617  2 sr_mod,usb_storage    
    
    
[dan@barney tmp]$ cat /proc/scsi/usb-storage/0    
Host scsi0: usb-storage    
Vendor: MITSUMI Electric Co.,Ltd.    
Product: USB CD-R/RW Drive    
Serial Number: None    
Protocol: 8020i    
Transport: Control/Bulk/Interrupt    
Quirks:    
    
(Below dmesg.txt contains dmesg output right after boot)    
[dan@barney tmp]$ grep -i usb\|scsi dmesg.txt    
usbcore: registered new driver usbfs    
usbcore: registered new driver hub    
usbcore: registered new driver hiddev    
usbcore: registered new driver usbhid    
drivers/usb/input/hid-core.c: v2.01:USB HID core driver    
USB Universal Host Controller Interface driver v2.2    
uhci_hcd 0000:00:1f.2: new USB bus registered, assigned bus number 1    
hub 1-0:1.0: USB hub found    
uhci_hcd 0000:00:1f.4: new USB bus registered, assigned bus number 2    
usb 1-1: new full speed USB device using uhci_hcd and address 2    
hub 2-0:1.0: USB hub found    
SCSI subsystem initialized    
Initializing USB Mass Storage driver...    
scsi0 : SCSI emulation for USB Mass Storage devices    
usb-storage: device found at 2    
usb-storage: waiting for device to settle before scanning    
usbcore: registered new driver usb-storage    
USB Mass Storage support registered.    
Vendor: MITSUMI   Model: CR-4804TE USB     Rev: 3047    
Type:   CD-ROM                             ANSI SCSI revision: 00    
usb-storage: device scan complete    
sr0: scsi3-mmc drive: 8x/24x writer cd/rw xa/form2 cdda tray    
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0    
    
 
When using the drive as a regular CD-ROM unit, it works fine: 
    
[dan@barney tmp]$ mount /media/cdrecorder/    
mount: block device /dev/scd0 is write-protected, mounting read-only    
    
    
[dan@barney tmp]$ df -h /media/cdrecorder/    
Filesystem            Size  Used Avail Use% Mounted on    
/dev/scd0              40M   40M     0 100% /media/cdrecorder    
 
Comment 2 Dan 2005-12-02 13:54:39 EST
It's working with a newer kernel (2.6.14-1.1644_FC4), with some issues.
The messages described above still show up in the logs:

sr 0:0:0:0: SCSI error: return code = 0x8000002
sr0: Current: sense key: No Sense
scsi: unknown opcode 0x01


When cdrecord starts, it waits an eternity (142 seconds in one try), while the
error messages keep get logged, but eventually it starts writing to disk.
Far from perfect, but like I said before, it works.
Comment 3 Christian Iseli 2007-01-22 06:31:22 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-02-28 21:07:24 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.